/*
 
 //This file is licensed under the terms of the CC-LGPL
 
 CL_rlp_test.pov
 
 This shows most of the characters available via CL_rlp_capital_letters.inc,     
 which does provide more than just the capital letters
 
*/ 
  ////
 //   example   //
//_____________//     
#version 3.7;
#global_settings{charset utf8 assumed_gamma 1.0}
//
#include "colors.inc" 
#include "glass.inc"
#include "chars.inc"
#include "rlp.inc"
#include "CL_rlp_capital_letters_160714.inc" 
//
#declare T_03       = texture { pigment { color Clear } finish { F_Glass3 } }
#declare blue_glass = material { texture { T_03 } interior { I_Glass2 fade_color Col_Blue_01 } }   
// Define the string to be typeset
//****************************|*********|*********|*********|*********|*********|*********|
CL_rlp_make_text_string_set(1) 
#declare CL_debug_lines      =  0;                // = 1 sets debug lines to on. Off otherwise.
#declare CL_frac_numerator   =  7;
#declare CL_frac_denominator =  8;
// Roman Capitals
#declare CL_set_string    =  "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
#declare text_string = object{CL_rlp_make_text_string(CL_set_string,CL_tiny_space,CL_letter_adjust,CL_z1,
                               CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,CL_dimensions_out)  
//       material{blue_glass} }
       pigment{rgb 1} finish{ambient 0 specular 1}}      
object{text_string translate <-CL_dimensions_out[0]/2,18,0>} 
// Roman Small
#declare CL_set_string    =  "abcdefghijklmnopqrstuvwxyz";
#declare text_string = object{CL_rlp_make_text_string(CL_set_string,CL_tiny_space,CL_letter_adjust,CL_z1,
                               CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,CL_dimensions_out)  
       pigment{rgb 1} finish{ambient 0 specular 1}}      
object{text_string translate <-CL_dimensions_out[0]/2,15,0>}
// Roman Symbols accessible directly
#declare CL_set_string    =  "1234567890!$%&*()[]{}-=+,.;:` ' `` ''@?<>/~";
#declare text_string = object{CL_rlp_make_text_string(CL_set_string,CL_tiny_space,CL_letter_adjust,CL_z1,
                               CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,CL_dimensions_out)  
       pigment{rgb 1} finish{ambient 0 specular 1}}      
object{text_string translate <-CL_dimensions_out[0]/2,11.5,0>}
// Roman Symbols accessible as alternate characters
#declare CL_set_string    =  "|L  |N|Z|Q|!|A|R|!|C  |S|T|U|V  |O|o  |8|0||$|%|`|'|?  |^|_|||#|";
#declare text_string = object{CL_rlp_make_text_string(CL_set_string,CL_tiny_space,CL_letter_adjust,CL_z1,
                               CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,CL_dimensions_out)  
       pigment{rgb 1} finish{ambient 0 specular 1}}      
object{text_string translate <-CL_dimensions_out[0]/2,8.5,0>}
// More Roman Symbols accessible as alternate characters
#declare CL_set_string    =  "|d|h        |n|r|p|t     xyp";  //
#declare text_string = object{CL_rlp_make_text_string(CL_set_string,CL_tiny_space,CL_letter_adjust,CL_z1,
                               CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,CL_dimensions_out)  
       pigment{rgb 1} finish{ambient 0 specular 1}}      
object{text_string translate <-CL_dimensions_out[0]/2,5.0,0>}
// Math Italic Capital
#declare CL_set_string    =  "#ABC|,D|,EF|,G|,H|,I|,J|,KLM|,N|!O|!P|!Q|!R|!STUVW|,XY|,Z";
#declare text_string = object{CL_rlp_make_text_string(CL_set_string,CL_tiny_space,CL_letter_adjust,CL_z1,
                              CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,CL_dimensions_out)  
                              pigment{rgb 1} finish{ambient 0 specular 1}}      
object{text_string translate <-CL_dimensions_out[0]/2,1.5,0>}
// Math Italic Small
#declare CL_set_string    =  "#abcdefghijklmnopqrstuvwxyz";
#declare text_string = object{CL_rlp_make_text_string(CL_set_string,CL_tiny_space,CL_letter_adjust,CL_z1,
                              CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,CL_dimensions_out)  
                              pigment{rgb 1} finish{ambient 0 specular 1}}      
object{text_string translate <-CL_dimensions_out[0]/2,-1.5,0>}
// Math Italic Symbols
#declare CL_set_string    =  "#1234567890!$%&*()[]{}-=+,.;:`'@?<>/~";
#declare text_string = object{CL_rlp_make_text_string(CL_set_string,CL_tiny_space,CL_letter_adjust,CL_z1,
                              CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,CL_dimensions_out)  
                              pigment{rgb 1} finish{ambient 0 specular 1}}      
object{text_string translate <-CL_dimensions_out[0]/2,-5.0,0>}
// Math Italic Alternate Symbols
#declare CL_set_string    =  "#|1|2|3|4|5|6|7|8|9|0||$|%|&|*|(|)|[|,|]|,|{|}|-|=|+|.|;|:|`|'|@|?";
#declare text_string = object{CL_rlp_make_text_string(CL_set_string,CL_tiny_space,CL_letter_adjust,CL_z1,
                              CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,CL_dimensions_out)  
                              pigment{rgb 1} finish{ambient 0 specular 1}}      
object{text_string translate <-CL_dimensions_out[0]/2,-8.5,0>}
// More Math Italic Alternate Symbols
#declare CL_set_string    =  "#|<|>|/|~       |J|j|V|v     xyp  ||  |^|,|_|,|#|,|";
#declare text_string = object{CL_rlp_make_text_string(CL_set_string,CL_tiny_space,CL_letter_adjust,CL_z1,
                              CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,CL_dimensions_out)  
                              pigment{rgb 1} finish{ambient 0 specular 1}}      
object{text_string translate <-CL_dimensions_out[0]/2,-11.5,0>}
// Greek Capitals
#declare CL_set_string    =  "#|A|B|C|D|E|F|G|H|I|K|L|M|N|O|P|Q|R|S|T|U|W|X|Y|Z";
#declare text_string = object{CL_rlp_make_text_string(CL_set_string,CL_tiny_space,CL_letter_adjust,CL_z1,
                              CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,CL_dimensions_out)  
                              pigment{rgb 1} finish{ambient 0 specular 1}}      
object{text_string translate <-CL_dimensions_out[0]/2,-15,0>}
// Greek Small
#declare CL_set_string    =  "#|a|b|c|d|e|f|g|h|i|k|l|m|no|p|q|r|s|t|u|w|x|y|z";
#declare text_string = object{CL_rlp_make_text_string(CL_set_string,CL_tiny_space,CL_letter_adjust,CL_z1,
                              CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,CL_dimensions_out)  
                              pigment{rgb 1} finish{ambient 0 specular 1}}      
object{text_string translate <-CL_dimensions_out[0]/2,-18,0>}
//      
  ////
 //  end example  //
//_______________//


light_source{<0,0,-25>, 4 fade_power 2 fade_distance 10
  #if(0)
    area_light x*2,y*2,8,8
    jitter adaptive 2
    area_illumination
  #end
            }

camera{orthographic location<0,0.7,-200> look_at <0,0.7,0> angle 15}

